/*=========================================================================

 Program:   BlueBerry Platform
 Language:  C++
 Date:      $Date: 2010-01-16 19:57:43 +0100 (Sat, 16 Jan 2010) $
 Version:   $Revision: 16712 $

 Copyright (c) German Cancer Research Center, Division of Medical and
 Biological Informatics. All rights reserved.
 See MITKCopyright.txt or http://www.mitk.org/copyright.html for details.

 This software is distributed WITHOUT ANY WARRANTY; without even
 the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 PURPOSE.  See the above copyright notices for more information.

 =========================================================================*/

#include "berryQtMissingImageDescriptor.h"

#include <QIcon>

namespace berry {


void* QtMissingImageDescriptor::CreateImage(bool  /*returnMissingImageOnError*/)
{
  return new QIcon(":/org.blueberry.ui.qt/icon_missing.png");
}

void QtMissingImageDescriptor::DestroyImage(void* img)
{
  QIcon* i = static_cast<QIcon*>(img);
  delete i;
}

bool QtMissingImageDescriptor::operator ==(const Object* o) const
{
  return dynamic_cast<const QtMissingImageDescriptor*>(o) != 0;
}

} // namespace


